> ## Documentation Index
> Fetch the complete documentation index at: https://docs.craveup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a catering inquiry from a website



## OpenAPI

````yaml /generated/storefront.openapi.json post /locations/{locationId}/catering/inquiries
openapi: 3.0.3
info:
  title: Crave Storefront API
  version: 2.0.0
  description: >-
    Direct public Storefront API. Anonymous catalog reads require no API key.
    Protected resources use purpose-limited cart, checkout, receipt, or customer
    credentials.
  contact:
    name: Crave Support
    email: hello@craveup.com
servers:
  - url: https://api.craveup.com/api/v1/storefront
    description: Production Storefront API
  - url: https://sandbox-api.craveup.com/api/v1/storefront
    description: Sandbox Storefront API
security: []
tags:
  - name: Customer Auth
  - name: Catering
  - name: Loyalty
  - name: Merchants
  - name: Locations
  - name: Ordering Sessions
  - name: Menus
  - name: Products
  - name: Carts
  - name: Analytics
  - name: Checkout
  - name: Cart Items
  - name: Discounts
  - name: Customers
  - name: Orders
paths:
  /locations/{locationId}/catering/inquiries:
    post:
      tags:
        - Catering
      summary: Send a catering inquiry from a website
      operationId: submitCateringInquiry
      parameters:
        - name: locationId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
        - name: Idempotency-Key
          in: header
          required: true
          description: Caller-stable key reused only for retries of this exact request.
          schema:
            type: string
            minLength: 16
            maxLength: 128
            pattern: ^[A-Za-z0-9._:-]{16,128}$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CateringInquirySubmission'
      responses:
        '200':
          description: >-
            201 records the inquiry for the restaurant to review; 200 replays
            the receipt for the same Idempotency-Key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CateringInquiryReceipt'
        '201':
          description: >-
            201 records the inquiry for the restaurant to review; 200 replays
            the receipt for the same Idempotency-Key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CateringInquiryReceipt'
        '400':
          description: The request is invalid.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '404':
          description: The requested resource was not found.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '409':
          description: The idempotency key or resource revision conflicts.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '429':
          description: The request was rate limited.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '500':
          description: An unexpected error occurred.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '503':
          description: A required dependency is temporarily unavailable.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
      security: []
components:
  schemas:
    CateringInquirySubmission:
      type: object
      properties:
        eventDate:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        serviceTime:
          type: string
          pattern: ^([01]\d|2[0-3]):[0-5]\d$
        headcount:
          type: object
          properties:
            guests:
              type: integer
              minimum: 1
              maximum: 10000
            approximate:
              type: boolean
          required:
            - guests
            - approximate
          additionalProperties: false
        serviceStyle:
          type: string
          enum:
            - pickup
            - drop_off
            - drop_off_with_setup
        deliveryAddress:
          nullable: true
          type: object
          properties:
            street:
              type: string
              minLength: 1
              maxLength: 200
            streetOptional:
              default: ''
              type: string
              maxLength: 200
            city:
              type: string
              minLength: 1
              maxLength: 120
            state:
              type: string
              minLength: 1
              maxLength: 120
            zipCode:
              type: string
              minLength: 1
              maxLength: 20
            country:
              type: string
              enum:
                - United States
                - United Arab Emirates
                - Australia
                - United Kingdom
          required:
            - street
            - city
            - state
            - zipCode
            - country
          additionalProperties: false
        accessNotes:
          nullable: true
          type: string
          minLength: 1
          maxLength: 300
        onSiteContact:
          nullable: true
          type: object
          properties:
            name:
              type: string
              minLength: 1
              maxLength: 120
            phone:
              nullable: true
              type: string
              pattern: ^\+[1-9]\d{7,14}$
          required:
            - name
            - phone
          additionalProperties: false
        menuRequest:
          nullable: true
          type: string
          minLength: 1
          maxLength: 400
        dietary:
          maxItems: 12
          type: array
          items:
            type: object
            properties:
              constraint:
                type: string
                minLength: 1
                maxLength: 120
              count:
                nullable: true
                type: integer
                minimum: 1
                maximum: 100000
              kind:
                type: string
                enum:
                  - preference
                  - allergy
                  - unspecified
            required:
              - constraint
              - count
              - kind
            additionalProperties: false
        serviceware:
          nullable: true
          type: object
          properties:
            needed:
              type: boolean
            asStated:
              nullable: true
              type: string
              minLength: 1
              maxLength: 200
          required:
            - needed
            - asStated
          additionalProperties: false
        budgetAsStated:
          nullable: true
          type: string
          minLength: 1
          maxLength: 120
        occasion:
          nullable: true
          type: string
          minLength: 1
          maxLength: 120
        contact:
          type: object
          properties:
            name:
              type: string
              minLength: 1
              maxLength: 120
            phone:
              nullable: true
              type: string
              pattern: ^\+[1-9]\d{7,14}$
            email:
              nullable: true
              type: string
              maxLength: 320
              pattern: ^[^\s@]+@[^\s@]+\.[^\s@]+$
            organization:
              nullable: true
              type: string
              minLength: 1
              maxLength: 160
          required:
            - name
            - phone
            - email
            - organization
          additionalProperties: false
        textConsent:
          nullable: true
          type: object
          properties:
            granted:
              type: boolean
            phone:
              type: string
              pattern: ^\+[1-9]\d{7,14}$
            grantedAt:
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
          required:
            - granted
            - phone
            - grantedAt
          additionalProperties: false
        questionsForTeam:
          maxItems: 10
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 200
        notes:
          nullable: true
          type: string
          minLength: 1
          maxLength: 500
      required:
        - eventDate
        - serviceTime
        - headcount
        - serviceStyle
        - deliveryAddress
        - accessNotes
        - onSiteContact
        - menuRequest
        - dietary
        - serviceware
        - budgetAsStated
        - occasion
        - contact
        - textConsent
        - questionsForTeam
        - notes
      additionalProperties: false
    CateringInquiryReceipt:
      type: object
      properties:
        reference:
          type: string
          minLength: 1
          maxLength: 32
        answerBy:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        flags:
          type: array
          items:
            type: string
            enum:
              - event_in_the_past
              - inside_notice
              - blackout_date
              - service_style_not_offered
              - outside_service_window
              - availability_unknown
              - below_minimum_headcount
              - above_maximum_headcount
              - allergy_stated
              - no_way_to_send_quote
        availability:
          type: object
          properties:
            status:
              type: string
              enum:
                - open
                - closed
                - unknown
            scheduleRevision:
              nullable: true
              type: string
              minLength: 1
          required:
            - status
            - scheduleRevision
          additionalProperties: false
      required:
        - reference
        - answerBy
        - flags
        - availability
      additionalProperties: false
    CommerceErrorEnvelope:
      type: object
      properties:
        code:
          anyOf:
            - type: string
              enum:
                - VALIDATION_ERROR
                - UNAUTHORIZED
                - CUSTOMER_AUTH_CODE_REJECTED
                - FORBIDDEN
                - NOT_FOUND
                - RATE_LIMITED
                - CART_CONFLICT
                - REQUOTE_REQUIRED
                - RESOURCE_CONFLICT
                - CART_IMMUTABLE
                - IDEMPOTENCY_KEY_REQUIRED
                - IDEMPOTENCY_KEY_REUSED
                - IDEMPOTENCY_IN_PROGRESS
                - DEPENDENCY_UNAVAILABLE
                - INTERNAL_ERROR
            - type: string
              minLength: 1
        message:
          type: string
          minLength: 1
        requestId:
          type: string
          minLength: 8
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
        - requestId
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.